# yapf_cache.h File Reference

Entry point for OpenTTD to YAPF's cache. More...

`#include "../../track_type.h"`

Go to the source code of this file.

## Functions
void | YapfNotifyTrackLayoutChange (TileIndex tile, Track track)
| Use this function to notify YAPF that track layout (or signal configuration) has change.

## Detailed Description

Entry point for OpenTTD to YAPF's cache.

Definition in file yapf_cache.h.

## Function Documentation

void YapfNotifyTrackLayoutChange | ( | TileIndex | tile,
|  | Track | track |
| ) |  |  |

Use this function to notify YAPF that track layout (or signal configuration) has change.

Parameters:

  | tile | the tile that is changed
  | track | what piece of track is changed

Definition at line 642 of file yapf_rail.cpp.

Referenced by CmdBuildBridge(), CmdBuildRailStation(), CmdBuildRailWaypoint(), CmdBuildRoad(), CmdBuildSingleRail(), CmdBuildSingleSignal(), CmdBuildTrainDepot(), CmdBuildTunnel(), CmdConvertRail(), CmdRemoveSingleRail(), CmdRemoveSingleSignal(), RemoveFromRailBaseStation(), RemoveRailStation(), RemoveRoad(), and CYapfReserveTrack< Types >::TryReservePath().